# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Define some handy macros
%global distro %{__distinit}%{__distvers}
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global python_version %(python -c "import sys; print sys.version[:3]" || echo 0.0)

# Don't build the GUI if the system doesn't have the necessary requirements
%if "%{distro}" == "rhl9" || "%{distro}" == "fc1" || "%{distro}" == "fc2" || "%{distro}" == "fc3" || "%{distro}" == "rhel3" || "%{distro}" == "rhel4"
%global nogui 1
%endif

# Fedora 10 onwards support noarch subpackages; use one for frontend if possible
%if %([ '(' "%{__distinit}" = "fc" -a %{__distvers} -ge 10 ')' -o '(' "%{__distinit}" = "rhel" -a %{__distvers} -ge 6 ')' ] && echo 1 || echo 0)
%global noarch_subpkg yes
%else
%global noarch_subpkg no
%endif

# Use bundled liblua if we don't have a system version we can use
%if "%{distro}" == "rhl9" || "%{distro}" == "fc1" || "%{distro}" == "fc2" || "%{distro}" == "fc3" || "%{distro}" == "rhel3"|| "%{distro}" == "rhel4"
%global internal_lua --with-liblua=included
%endif

# Use bundled libpcre unless we have libpcre >= 4.0
%global pcre_full_version %(pcre-config --version 2>/dev/null || echo 0.0)
%global pcre_version %(echo %{pcre_full_version} | sed -e 's/\\([0-9]*\\.[0-9]*\\).*/\\1/')
%if "%(/usr/bin/expr %{pcre_version} '<' 4.0)" == "1"
%global internal_pcre --with-libpcre=included
%endif

# Use bundled libpcap unless we have libpcap >= 1.0
%global pcap_full_version %((readlink -e %{_libdir}/libpcap.so 2>/dev/null || echo 0.0.0) | sed -e 's/^.*\\.so\\.//')
%global pcap_version %(echo %{pcap_full_version} | perl -pi -e 's/(\\d+)\\.(\\d+)\\.(\\d+).*/sprintf("%d%02d%02d",$1,$2,$3)/e')
%if %{pcap_version} < 10000
%global internal_pcap --with-libpcap=included
%endif

# See if we have EVP_sha256, needed for nping (needs openssl >= 0.9.8, FC-5 onwards)
%global have_sha256 %(grep EVP_sha256 /usr/include/openssl/evp.h &> /dev/null && echo 1 || echo 0)
%if ! %{have_sha256}
%global no_nping --without-nping
%endif

# TODO: stop using local copy of libdnet, once system distributed version supports sctp (grep sctp /usr/include/dnet.h)

#global betaver RC1

Summary:	Network exploration tool and security scanner
Name:		nmap
Version:	5.51
Release:	%{?betaver:0.}5.0.%{?betaver:%{betaver}.}cf.%{distro}
Epoch:		2
# nmap is GPLv2
# zenmap is GPLv2 and LGPLv2+ (zenmap/higwidgets) and GPLv2+ (zenmap/radialnet)
# libdnet-stripped is BSD (advertising clause rescinded by the Univ. of California in 1999) with some parts as Public Domain (crc32)
License:	GPLv2 and LGPLv2+ and GPLv2+ and BSD
Group:		Applications/System
Source0:	http://nmap.org/dist/nmap-%{version}%{?betaver}.tar.bz2
Source1:	zenmap.desktop
Source2:	zenmap-root.pamd
Source3:	zenmap-root.consoleapps
Patch2:		nmap-4.85BETA10-noms.patch
Patch3:		nmap-5.20-nostrip.patch
Patch4:		zenmap-621887-workaround.patch
Patch11:	nmap-5.20-japan-code.patch
URL:		http://nmap.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	/usr/include/pcap.h
BuildRequires:	pkgconfig, openssl-devel, pcre-devel, zlib-devel
%if 0%{!?nogui:1}
BuildRequires:	python-devel >= 2.4, desktop-file-utils
%endif
%if 0%{!?internal_lua:1}
BuildRequires:	lua-devel
%endif

%description
Nmap is a utility for network exploration or security auditing.  It supports
ping scanning (determine which hosts are up), many port scanning techniques
(determine what services the hosts are offering), and TCP/IP fingerprinting
(remote host operating system identification). Nmap also offers flexible target
and port specification, decoy scanning, determination of TCP sequence
predictability characteristics, reverse-identd scanning, and more. In addition
to the classic command-line nmap executable, the Nmap suite includes a flexible
data transfer, redirection, and debugging tool (netcat utility ncat), a utility
for comparing scan results (ndiff), and a packet generation and response
analysis tool (nping).

%if 0%{!?nogui:1}
%package frontend
Summary:	Graphical Nmap frontend and results viewer
Group:		Applications/System
%if "%{noarch_subpkg}" == "yes"
BuildArch:	noarch
%endif
Requires:	nmap = %{epoch}:%{version}-%{release}, pygtk2, usermode
# We can use python-sqlite2, or python-sqlite3 (bundled with python >= 2.5)
%if "%{python_version}" == "2.4"
Requires:	python-sqlite2
%endif
# For ownership of %%{_datadir}/icons/hicolor/*/apps/
Requires:	hicolor-icon-theme
Obsoletes:	zenmap < %{epoch}:%{version}-%{release}
Provides:	zenmap = %{epoch}:%{version}-%{release}

%description frontend
Zenmap is an Nmap frontend. It is meant to be useful for advanced users
and to make Nmap easy to use by beginners. It was originally derived
from Umit, an Nmap GUI created as part of the Google Summer of Code.
%endif

%prep
%setup -q  -n %{name}-%{version}%{?betaver}
%patch2 -p1 -b .noms
%patch3 -p1 -b .nostrip

# rhbz#637403, workaround for rhbz#621887=gnome#623965
%patch4 -p1 -b .bz637403

# Country code for Japanese manpage translations should be ja, not jp
%patch11 -p1 -b .japan
mv docs/man-xlate/nmap-{jp,ja}.1

# Remove spurious shellbangs and carriage returns from python modules
find zenmap -name '*.py' |
	xargs sed -i -e 's/\r$//; /^#!\/usr\/bin\/env python$/d'

# Remove spurious exec permissions from nping source files
chmod -c -x nping/*.{cc,h}

# Be sure we're not using bundled copies of libraries unless we really need to
rm -rf	%{!?internal_lua:liblua} \
	%{!?internal_pcap:libpcap} \
	%{!?internal_pcre:libpcre} \
	macosx \
	mswin32

# Fix locale dir so we can use find_lang
mv zenmap/share/zenmap/locale zenmap/share
sed -i \
	-e "s|^locale_dir =.*$|locale_dir = os.path.join('share','locale')|" \
	-e 's|join(self.install_data, data_dir)|join(self.install_data, "share")|' \
	zenmap/setup.py
sed -i \
	-e 's|^LOCALE_DIR = .*|LOCALE_DIR = join(prefix, "share", "locale")|' \
	zenmap/zenmapCore/Paths.py

# PAM Configuration:
# FC5 introduced an "include" syntax in PAM configuration files, which is
# incompatible with older distributions. A file /etc/pam.d/config-util is
# a useful indicator of being on an FC5 or later system (at least for now).
# If this file isn't present, revert to older syntax.
cp -p %{SOURCE2} %{SOURCE3} .
[ ! -f /etc/pam.d/config-util ] && sed -i -e \
	's/include[[:space:]]*config-util/required'\ \ \ \ \ 'pam_stack.so service=system-auth/' \
	zenmap-root.pamd

%build
export CPPFLAGS=$(pkg-config --cflags openssl)
export LDFLAGS=$(pkg-config --libs openssl)
%if 0%{?internal_pcap:1}
# Internal libpcap doesn't have net/bpf.h, so don't get confused by a system version that does have it (RHL-9, EL-3, FC-1)
export ac_cv_header_net_bpf_h=no
%endif
%{configure}%{!?nogui: --with-zenmap} %{?internal_lua} %{?internal_pcre} %{?internal_pcap} %{?no_nping}
# MYCFLAGS used in liblua build when necessary
make %{?_smp_mflags} MYCFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" STRIP=/bin/true install

# Do not include certificate bundle (#734389)
rm -f %{buildroot}%{_datadir}/ncat/ca-bundle.crt
rmdir %{buildroot}%{_datadir}/ncat

%if 0%{!?nogui:1}
# Don't package the uninstaller
rm %{buildroot}%{_bindir}/uninstall_zenmap
# Use consolehelper
rm -f %{buildroot}%{_datadir}/zenmap/su-to-zenmap.sh
ln -s consolehelper %{buildroot}%{_bindir}/zenmap-root
mkdir -p %{buildroot}%{_sysconfdir}/pam.d \
	%{buildroot}%{_sysconfdir}/security/console.apps
install -m 0644 zenmap-root.pamd \
	%{buildroot}%{_sysconfdir}/pam.d/zenmap-root
install -m 0644 zenmap-root.consoleapps \
	%{buildroot}%{_sysconfdir}/security/console.apps/zenmap-root
# For .desktop and app icon
rm -f %{buildroot}%{_datadir}/applications/zenmap*.desktop
desktop-file-install --vendor nmap \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category X-Red-Hat-Base \
	%{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
ln -s ../../../../zenmap/pixmaps/zenmap.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

# Add manpage symlinks
pushd %{buildroot}%{_mandir}/man1/
ln -s zenmap.1.gz nmapfe.1.gz
ln -s zenmap.1.gz xnmap.1.gz
popd

%find_lang zenmap

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitelib}/zenmap-%{version}-py%{python_version}.egg-info ]; then
	echo %{python_sitelib}/zenmap-%{version}-py%{python_version}.egg-info
fi >> zenmap.lang
%endif

%clean
rm -rf %{buildroot}

%if 0%{!?nogui:1}
%post frontend
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun frontend
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans frontend
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
%endif

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING
%doc docs/README docs/nmap.usage.txt
%{_bindir}/ncat
%{_bindir}/nmap
%if %{have_sha256}
%{_bindir}/nping
%endif
%{_datadir}/nmap/
%{_mandir}/man1/ncat.1*
%{_mandir}/man1/nmap.1*
%if %{have_sha256}
%{_mandir}/man1/nping.1*
%endif
# we might use find_lang nmap --with-man for these man pages
# but that only works from F-9 onwards
%lang(de) %{_mandir}/de/man1/nmap.1*
%lang(es) %{_mandir}/es/man1/nmap.1*
%lang(fr) %{_mandir}/fr/man1/nmap.1*
%lang(hr) %{_mandir}/hr/man1/nmap.1*
%lang(hu) %{_mandir}/hu/man1/nmap.1*
%lang(it) %{_mandir}/it/man1/nmap.1*
%lang(ja) %{_mandir}/ja/man1/nmap.1*
%lang(pl) %{_mandir}/pl/man1/nmap.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/nmap.1*
%lang(pt_PT) %{_mandir}/pt_PT/man1/nmap.1*
%lang(ro) %{_mandir}/ro/man1/nmap.1*
%lang(ru) %{_mandir}/ru/man1/nmap.1*
%lang(sk) %{_mandir}/sk/man1/nmap.1*
%lang(zh) %{_mandir}/zh/man1/nmap.1*
# ndiff requires python >= 2.4, same as zenmap
%if 0%{!?nogui:1}
%{_bindir}/ndiff
%{_mandir}/man1/ndiff.1*
%endif

%if 0%{!?nogui:1}
%files -f zenmap.lang frontend
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/pam.d/zenmap-root
%config(noreplace) %{_sysconfdir}/security/console.apps/zenmap-root
%{_bindir}/zenmap
%{_bindir}/zenmap-root
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{python_sitelib}/radialnet/
%{python_sitelib}/zenmapCore/
%{python_sitelib}/zenmapGUI/
%{_datadir}/applications/nmap-zenmap.desktop
%{_datadir}/icons/hicolor/48x48/apps/zenmap.png
%{_datadir}/zenmap/
%{_mandir}/man1/nmapfe.1.gz
%{_mandir}/man1/xnmap.1.gz
%{_mandir}/man1/zenmap.1.gz
%endif

%changelog
* Sun Feb 12 2012 Paul Howarth <paul@city-fan.org> - 2:5.51-5.0.cf
- Rebuild for new libpcre in Rawhide

* Wed Jan 18 2012 Paul Howarth <paul@city-fan.org> - 2:5.51-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec  8 2011 Paul Howarth <paul@city-fan.org> - 2:5.51-2.0.cf
- Do not use bundled certificates, use only system ones (#734389)

* Sat Aug  6 2011 Paul Howarth <paul@city-fan.org> - 2:5.51-1.2.cf
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Mar 28 2011 Paul Howarth <paul@city-fan.org> - 2:5.51-1.1.cf
- Update %%description to mention other tools (#682361)
- Nobody else likes macros for commands

* Mon Feb 14 2011 Paul Howarth <paul@city-fan.org> - 2:5.51-1.0.cf
- Update to 5.51 (see CHANGELOG for details)

* Sun Feb 13 2011 Paul Howarth <paul@city-fan.org> - 2:5.50-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 30 2011 Paul Howarth <paul@city-fan.org> - 2:5.50-1.0.cf
- Update to 5.50 (see CHANGELOG for details)
- Update patch for zenmap crash (#637403)
- Include nping and its manpage - if we have SHA256 support in openssl (0.9.8)
- Add workaround for RHL-9, EL-3, FC-1 where configure script thinks we can use
  <net/bpf.h> despite we're using the bundled libpcap, which doesn't have it

* Tue Oct  5 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-10.0.cf
- Add workaround for zenmap crash (#637403)

* Thu Sep 30 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-9.0.cf
- Rebuilt for gcc bug (#634757)

* Fri Sep 17 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-8.0.cf
- Resync with Rawhide again (#632104)

* Thu Aug 19 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-7.0.cf
- Resync with Rawhide again

* Wed Aug 11 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-6.0.cf
- Resync with Rawhide

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-5.0.cf
- Rebuild for python 2.7 in Rawhide

* Mon Jun 21 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-4.0.cf
- Make frontend a noarch subpackage where possible
- No longer need to patch zenmap to make it install arch-specific
- Drop zenmap/setup.py patch, no longer needed
- Enable parallel build

* Tue May 25 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-2.1.cf
- Fix dist tag for RHEL-6 Beta

* Tue May  4 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-2.0.cf
- Comment spec about (non) use of find_lang nmap --with-man
- Update icon cache scriptlets to current standard

* Wed Jan 27 2010 Paul Howarth <paul@city-fan.org> - 2:5.21-1.0.cf
- Update to 5.21 (see CHANGELOG for details)
- Revert upstream change in zenmap/setup.py addressing an Ubuntu issue as it
  breaks the Fedora build (on Rawhide at least)

* Thu Jan 21 2010 Paul Howarth <paul@city-fan.org> - 2:5.20-1.0.cf
- Update to 5.20 (see CHANGELOG for details)
- Update nostrip and python-directory patches
- Bundled libpcap is now 1.0.0, so use that if system version is not as recent
- Include doc: CHANGELOG
- Package manpage translations, relocating Japanese translation from "jp" to
  "ja" directory

* Tue Jan 12 2010 Paul Howarth <paul@city-fan.org> - 2:5.00-6.0.cf
- Use standard version of sqlite for distro, not always sqlite2

* Tue Dec  1 2009 Paul Howarth <paul@city-fan.org> - 2:5.00-5.0.cf
- Clarify license tag
- Build with system libpcap if we have libpcap >= 0.9.7
- Remove the bundled library sources unless the system copies are unusable
- Dist tag for Rawhide no longer needs special-casing

* Mon Nov  2 2009 Paul Howarth <paul@city-fan.org> - 2:5.00-4.0.cf
- Fix locale dir so we can use find_lang

* Tue Sep  1 2009 Paul Howarth <paul@city-fan.org> - 2:5.00-3.0.cf
- Rebuild for openssl 1.0 in Fedora

* Mon Jul 27 2009 Paul Howarth <paul@city-fan.org> - 2:5.00-2.0.cf
- Use -noms patch from Fedora (no functional changes)

* Fri Jul 17 2009 Paul Howarth <paul@city-fan.org> - 2:5.00-1.cf
- Update to 5.00 (http-open-proxy script fixes)

* Thu Jun 25 2009 Paul Howarth <paul@city-fan.org> - 2:4.90-0.1.RC1.cf
- Update to 4.90RC1

* Mon Jun 22 2009 Paul Howarth <paul@city-fan.org> - 2:4.85-0.1.BETA10.cf
- Update to 4.85BETA10
- Update -noms patch
- Update -python-directory patch
- Define RPM macros in global scope
- New binaries and manpages: ncat and ndiff
- New zenmap translations: de fr hr
- Add buildreq openssl-devel and zlib-devel

* Mon Mar  2 2009 Paul Howarth <paul@city-fan.org> - 2:4.76-4.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Paul Howarth <paul@city-fan.org> - 2:4.76-3.0.cf
- Rebuild for new openssl in rawhide

* Fri Dec 19 2008 Paul Howarth <paul@city-fan.org> - 2:4.76-2.0.cf
- Use consolehelper for root auth, drop su-to-zenmap.sh

* Fri Sep 12 2008 Paul Howarth <paul@city-fan.org> - 2:4.76-1.0.cf
- Update to 4.76

* Mon Sep  8 2008 Paul Howarth <paul@city-fan.org> - 2:4.75-1.0.cf
- Update to 4.75
- Update python-directory and nostrip patches
- Package upstream desktop files rather than our own
- Nothing in libexec now

* Fri Aug 22 2008 Paul Howarth <paul@city-fan.org> - 2:4.68-3.0.cf
- License is GPL (version 2 only)

* Fri Aug  1 2008 Paul Howarth <paul@city-fan.org> - 2:4.68-1.1.cf
- Reinstate nostrip patch

* Mon Jun 30 2008 Paul Howarth <paul@city-fan.org> - 2:4.68-1.0.cf
- Update to 4.68
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Drop pixmaps patch, no longer needed (pixmaps moved to
  %%{_datadir}/zenmap/pixmaps/)

* Mon Jun  2 2008 Paul Howarth <paul@city-fan.org> - 2:4.65-1.0.cf
- Update to 4.65
- Update python-directory patch
- umit icons no longer included
- Zenmap manpage is only installed if zenamp is installed now, so no need to
  delete it for nogui builds

* Tue May  6 2008 Paul Howarth <paul@city-fan.org> - 2:4.62-1.0.cf
- Update to 4.62

* Mon Mar 17 2008 Paul Howarth <paul@city-fan.org> - 2:4.60-1.0.cf
- Update to 4.60
- Upstream URLs changed from www.insecure.org/nmap -> nmap.org
- Add %%lang identifier for zenmap locale data
- Don't install the zenmap manpage if we're not building the GUI

* Mon Jan 14 2008 Paul Howarth <paul@city-fan.org> - 2:4.53-1.0.cf
- Update to 4.53

* Fri Jan 11 2008 Paul Howarth <paul@city-fan.org> - 2:4.52-2.1.cf
- Merge changes for 4.52 from Rawhide (patches, desktop file etc.)
- zenmap package renamed back to nmap-frontend

* Thu Jan  3 2008 Paul Howarth <paul@city-fan.org> - 2:4.52-1.1.cf
- Reinstate filename-based buildreqs now that mock bug is fixed

* Wed Jan  2 2008 Paul Howarth <paul@city-fan.org> - 2:4.52-1.0.cf
- Update to 4.52

* Mon Dec 17 2007 Paul Howarth <paul@city-fan.org> - 2:4.50-1.0.cf
- Update to 4.50
- Update noms patch
- nostrip patch no longer needed
- no desktop file provided upstream, so no patch to apply to it
- New python-based GUI "zenmap" replaces nmap-frontend
- Updated %%description from manpage
- Buildrequire lua-devel where it's available
- Use bundled PCRE library when system version is too old
- Use %%{optflags} when building liblua
- Import icons from Mandriva and use them with new desktop file for zenmap

* Mon Dec 10 2007 Paul Howarth <paul@city-fan.org> - 2:4.20-6.2.cf
- Rebuild for new openssl in Rawhide
- Temporarily use conditional libpcap buildreqs to work around problem
  with mock/yum not finding filename buildreqs

* Wed Nov  7 2007 Paul Howarth <paul@city-fan.org> - 2:4.20-6.0.cf
- Fix dist tag for Fedora 7 onwards
- Change libpcap(-devel) buildreq to /usr/include/pcap.h, which avoids the
  need for conditional buildreqs
- Try to keep timestamps for files copied from source to installed package
- Include icons from Fedora package in frontend subpackage and patch desktop
  file to use them
- BuildRequire desktop-file-utils and use desktop-file-install
- Use a patch rather than a scripted edit to prevent stripping of binaries
- Removed references how to scan microsoft.com (#164962)
- Note in license tag that some BSD sources are used

* Mon Dec 11 2006 Paul Howarth <paul@city-fan.org> - 2:4.20-1.cf
- Update to 4.20
- Use bzipped source instead of gzipped source
- Add libpcap/libpcap-devel buildreq now that nmap will link against the
  system library rather than using its own hacked version

* Fri Sep 15 2006 Paul Howarth <paul@city-fan.org> - 2:4.11-2.cf
- Fix dist tag for development releases
- Add buildreq zlib-devel

* Mon Jun 26 2006 Paul Howarth <paul@city-fan.org> - 2:4.11-1
- Update to 4.11

* Tue Jun 13 2006 Paul Howarth <paul@city-fan.org> - 2:4.10-1
- Update to 4.10

* Mon Apr 24 2006 Paul Howarth <paul@city-fan.org> - 2:4.03-1
- Update to 4.03
- Define %%{__id_u} in a more portable way

* Fri Feb 10 2006 Paul Howarth <paul@city-fan.org> - 2:4.01-1
- Update to 4.01

* Wed Feb  1 2006 Paul Howarth <paul@city-fan.org> - 2:4.00-1
- Update to 4.00

* Mon Jan 30 2006 Paul Howarth <paul@city-fan.org> - 2:3.9999-1
- Update to 3.9999
- Update distribution-detection code

* Thu Jan 26 2006 Paul Howarth <paul@city-fan.org> - 2:3.999-1
- Update to 3.999
- gtk2-devel >= 2.4.0 is needed for the GUI; don't build it on older distros
- Lots of old docs gone

* Tue Sep 13 2005 Paul Howarth (paul(a)city-fan.org) - 2:3.93-1
- Update to 3.93

* Fri Sep  9 2005 Paul Howarth (paul(a)city-fan.org) - 2:3.90-2
- Always build front end
- Use proper directory paths instead of prefix-based ones
- Spec file cleanup
- Add BR: openssl-devel
- Don't strip binaries, so debuginfo package can be useful
- Use pkgconfig to get required openssl build flags

* Mon Feb  7 2005 Paul Howarth (paul(a)city-fan.org)
- Build with SSL support, and add distribution tags to RPM release number
  so as to be able to tell which package is for which distribution (needed
  because of varying openssl dependencies)

* Sat Sep 01 2004 Stephane Loeuillet (stephane.loeuillet(a)tiscali.fr)
- Place .desktop file under ${prefix}/share/applications rather than
  ${prefix}/share/gnome/apps/Utilities

* Mon Dec 16 2002 Matthieu Verbert (mve(a)zurich.ibm.com)
- Place man pages under ${prefix}/share/man rather than ${prefix}/man

* Fri Jun 01 2001 GOMEZ Henri (hgomez(a)slib.fr)
- Patch which checks that $RPM_BUILD_ROOT is not "/" before rm'ing it.

* Tue Mar 06 2001 Ben Reed <ben(a)opennms.org>
- changed spec to handle not building the frontend

* Thu Dec 30 1999 Fyodor (fyodor(a)insecure.org)
- Updated description
- Eliminated source1 (nmapfe.desktop) directive and simply packaged it with Nmap
- Fixed nmap distribution URL (source0)
- Added this .rpm to base Nmap distribution

* Mon Dec 13 1999 Tim Powers <timp(a)redhat.com>
- based on origional spec file from
	http://www.insecure.org/nmap/index.html#download
- general cleanups, removed lots of commenrts since it made the spec hard to
	read
- changed group to Applications/System
- quiet setup
- no need to create dirs in the install section, "make
	prefix=$RPM_BUILD_ROOT&{prefix} install" does this.
- using defined %%{prefix}, %%{version} etc. for easier/quicker maint.
- added docs
- gzip man pages
- strip after files have been installed into buildroot
- created separate package for the frontend so that Gtk+ isn't needed for the
	CLI nmap
- not using -f in files section anymore, no need for it since there aren't that
	many files/dirs
- added desktop entry for gnome

* Sun Jan 10 1999 Fyodor (fyodor(a)insecure.org)
- Merged in spec file sent in by Ian Macdonald <ianmacd(a)xs4all.nl>

* Tue Dec 29 1998 Fyodor (fyodor(a)insecure.org)
- Made some changes, and merged in another .spec file sent in
  by Oren Tirosh <oren(a)hishome.net>

* Mon Dec 21 1998 Riku Meskanen (mesrik(a)cc.jyu.fi)
- initial build for RH 5.x
